# Cloud message receive

An action block that receives a “cloud” message sent through the internet from another device running Automate or the online endpoint.

The fiber will proceed when a message has been received.

Use the Cloud message send block to send a message, or any source capable of making HTTP requests, see https://llamalab.com/automate/cloud/.

This block requires a device with a working Google Play services installed.

Note! Duplicate messages may be received.

## Input arguments

- To Google account — name of Google account receiving the message.
- Cipher account — name of generic credentials account where the password will be used to decrypt the message, default is unencrypted messages only.

## Output variables

- From Google account — variable to assign the name (e-mail) of sender Google account.
- From device — variable to assign the brand of sender device.
- Payload — variable to assign the payload passed by the sender.